#pragma once
#include "EntityState.h"
extern const int CS_SantaSTATENAME_JUMP;
//技能：跳跃
class CS_SantaJump :
    public EntityState
{
public:
    CS_SantaJump();
    void State() override;
    void SetPhysice(bool bInWater) override;
    void SetJump();
    //物理信息
    //地面
    float ground_jump = 0x500 / ts;
    //水中
    float inwater_jump = 0x280 / ts;
    //变量
    float jump = 0;//当前跳跃速度
    bool jumped = false;//已跳跃
    bool jump_disable = false;//禁用跳跃
};

